--
-- $Id$
--
-- Script om importfunctie voor kostenplaatsen tijdelijk te configureren voor AADO.
-- Script AADS#38245_2.sql verwijdert de tabel en importfunctie voordat de upgrade plaatsvindt.

DEFINE thisfile = 'AADS#38245_2.SQL'
DEFINE dbuser   = '^AADO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DROP PROCEDURE fac_import_kpn;

DROP PROCEDURE fac_update_kpn;

DROP TABLE fac_imp_kpn;

DELETE fac_import i
 WHERE fac_import_app_key IN
 (SELECT fac_import_app_key FROM fac_import_app WHERE fac_import_app_code = 'KPN');
 
 
DELETE fac_import_app WHERE fac_import_app_code = 'KPN';


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

